package com.ninegag.android.library.upload

import android.graphics.Rect
import androidx.recyclerview.widget.RecyclerView
import android.view.View

/**
 * Created by raymond on 8/9/15.
 */
internal class ImageItemDecorator(private val mSpace: Int) : RecyclerView.ItemDecoration() {

    override fun getItemOffsets(outRect: Rect, view: View, parent: RecyclerView, state: RecyclerView.State) {
        outRect.top = mSpace
        outRect.bottom = mSpace
        outRect.left = mSpace

        if (parent.getChildAdapterPosition(view) == state.itemCount - 1) {
            outRect.right = mSpace
        }
    }
}
