package com.ninegag.android.library.upload.event

import android.os.Parcelable

abstract class BaseSelectUploadChooserEvent {
    /**
     *
     */
    @JvmField
    val uploadTarget: String?
    /**
     * An optional custom payload for more upload payload, for
     * more information if needed
     */
    @JvmField
    val payload: Parcelable?

    constructor(uploadTarget: String?,
                payload: Parcelable?) {
        this.uploadTarget = uploadTarget
        this.payload = payload
    }

    constructor(uploadTarget: String?) {
        this.uploadTarget = uploadTarget
        payload = null
    }
}