package com.ninegag.android.library.upload.media.validator

import com.ninegag.android.library.upload.Constant
import com.ninegag.android.library.upload.media.validator.BaseValidatorConfig

/**
 * Created by raymond on 9/5/2017.
 */

class DefaultImageValidatorConfig : BaseValidatorConfig() {
    override val maxHeight: Int
        get() = Constant.RAW_IMG_HEIGHT_MAX

    override val maxWidth: Int
        get() = Constant.RAW_IMG_WIDTH_MAX

    override val minHeight: Int
        get() = Constant.RAW_IMG_HEIGHT_MIN

    override val minWidth: Int
        get() = Constant.RAW_IMG_WIDTH_MIN

    override val displayStandardWidth: Int
        get() = Constant.RAW_IMG_DISPLAY_STD_WIDTH

    override val pixelLimit: Int
        get() = Constant.RAW_IMG_PIXELS_MAX

    override val heightDisplayMax: Int
        get() = Constant.RAW_IMG_HEIGHT_DISPLAY_MAX

    override val fileSizeLimit: Long
        get() = 1_000_000_000_000_000L
}
