package com.ninegag.android.library.upload.media.validator

import com.ninegag.android.library.upload.Constant

/**
 * Created by raymond on 10/5/2017.
 */

open class GifValidatorConfig : BaseValidatorConfig() {

    override val maxHeight: Int
        get() = Constant.GIF_HEIGHT_MAX

    override val maxWidth: Int
        get() = Constant.GIF_WIDTH_MAX

    override val minHeight: Int
        get() = Constant.GIF_HEIGHT_MIN

    override val minWidth: Int
        get() = Constant.GIF_WIDTH_MIN

    override val displayStandardWidth: Int
        get() = Constant.GIF_DISPLAY_STD_WIDTH

    override val pixelLimit: Int
        get() = Constant.GIF_PIXELS_MAX

    override val heightDisplayMax: Int
        get() = Constant.GIF_PIXELS_MAX

    override val fileSizeLimit: Long
        get() = Constant.GIF_FILE_SIZE_LIMIT.toLong()
}
