package com.ninegag.android.library.upload.media.validator

/**
 * Sufficiently large number that treat things as not validated
 */
class NoOpValidatorConfig: BaseValidatorConfig() {
    override val maxHeight: Int
        get() = 1_000_000_000
    override val maxWidth: Int
        get() = 1_000_000_000
    override val minHeight: Int
        get() = 0
    override val minWidth: Int
        get() = 0
    override val displayStandardWidth: Int
        get() = 1_000_000_000
    override val pixelLimit: Int
        get() = 1_000_000_000
    override val heightDisplayMax: Int
        get() = 1_000_000_000
    override val fileSizeLimit: Long
        get() = 1_000_000_000_000_000L
}