package com.under9.android.comments.model

import androidx.annotation.IntDef

object CommentUserPrefsState {
    const val HIDE_PRO_BADGE = 1
    const val SHOW_PRO_BADGE = 0

    const val HIDE_ACTIVE_TS = 1
    const val SHOW_ACTIVE_TS = 0

    @IntDef(value = [HIDE_PRO_BADGE, SHOW_PRO_BADGE])
    @Retention(AnnotationRetention.SOURCE)
    annotation class ProBadgeState

    @IntDef(value = [HIDE_ACTIVE_TS, SHOW_ACTIVE_TS])
    @Retention(AnnotationRetention.SOURCE)
    annotation class ActiveTimeState
}
