package com.under9.android.lib.bottomsheet.color

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

@Parcelize
data class ColorPickerModel(
        val title: String,
        val colorInt: Int,
        val isLocked: Boolean,
        val isChecked: Boolean,
        val isDefaultColor: Boolean = false
): Parcelable

@Parcelize
data class ColorPickerListModel(val items: List<ColorPickerModel>): Parcelable