package com.ninegag.android.library.upload.media.validator

/**
 * Just a dummy noop callback for general purpose
 * Created by raymond on 7/9/2017.
 */

class NoOpMediaValidatorCallback private constructor() : BaseMediaValidator.MediaValidatorCallback {

    override fun onFileSizeLimitExceeded(fileSize: Long, config: BaseValidatorConfig) {

    }

    override fun onFileNotFound() {

    }

    override fun onMediaDimenTooSmall(width: Int, height: Int, config: BaseValidatorConfig) {

    }

    override fun onMediaDimenTooLarge(width: Int, height: Int, config: BaseValidatorConfig) {

    }

    override fun onMediaDimenTooLong(width: Int, height: Int, config: BaseValidatorConfig) {

    }

    override fun onMediaPixelLimitExceeded(width: Int, height: Int, config: BaseValidatorConfig) {

    }

    companion object {

        @JvmStatic
        fun newInstance(): BaseMediaValidator.MediaValidatorCallback {
            return NoOpMediaValidatorCallback()
        }
    }
}
