package com.under9.android.comments.data.repository

import com.under9.android.comments.model.User
import com.under9.android.comments.model.api.ApiUser

interface LocalUserRepositoryInterface {

    fun obtainUser(apiUser: ApiUser): User?

    fun getUserByUserId(userId: String): User?

    fun getUsersByUserIds(userIds: List<String>): List<User>

    fun insertOrUpdateUserBatches(insertUserBatches: List<User>,
                                  updateUserBatches: List<User>)

    fun insertOrUpdateFromApiCommentUsers(apiUsers: List<ApiUser>): Map<String, User>
}