package com.under9.android.lib.blitz

/**
 * Transformer interface, to transform ListItemModel to wrapper model
 */
interface BlitzTransformer<OriginalModel, TransformedModel> {
    fun transform(list: List<OriginalModel>)
            : List<TransformedModel>
}