package com.under9.android.lib.blitz.delegate

import androidx.recyclerview.widget.RecyclerView
import androidx.swiperefreshlayout.widget.SwipeRefreshLayout
import com.under9.android.lib.blitz.adapter.BlitzLoadingIndicatorAdapter
import com.under9.android.lib.blitz.adapter.BlitzPlaceholderAdapterV2

/**
 * A class to handle view state changes,
 * Implement [BlitzViewStateCallback] if you want to have custom behaviour
 *
 * Created by raymond on 11/8/2016.
 */

@Deprecated("Use GagPostListViewStateListener instead")
open class DefaultViewStateCallbackV2(protected val swipeRefreshLayout: SwipeRefreshLayout,
                                 protected val placeholderAdapter: BlitzPlaceholderAdapterV2,
                                 protected val loadingIndicatorAdapter: BlitzLoadingIndicatorAdapter,
                                      protected val recyclerView: RecyclerView) : BlitzViewStateCallback {
    override fun onInitLoad() {}

    override fun onFinishLoadingEmptyList() {}

    override fun onFinishLoadingHasPrev() {}

    override fun onFinishLoadingHasNext() {}

    override fun onFinishLoadingHasPrevAndNext() {}

    override fun onFinishLoadingPrevEndOfList() {}

    override fun onFinishLoadingNextEndOfList() {}

    override fun onRefreshing() {}

    override fun onRefreshError() {}

    override fun onLoadNextError() {}
}
