package com.under9.android.lib.blitz.delegate

import androidx.recyclerview.widget.RecyclerView
import com.under9.android.lib.blitz.BlitzView

/**
 * Interface to define when we should do pagination, load next, load previous
 * Created by raymond on 10/8/2016.
 */

interface PaginationDetector {
    /**
     *
     */
    fun checkPagination(blitzView: BlitzView, layoutManager: RecyclerView.LayoutManager?, dx: Int, dy: Int)

    /**
     *
     */
    fun shouldTriggerOnAttachment(): Boolean = true
}
