package com.under9.android.lib.bottomsheet

import com.under9.android.lib.widget.R


object BottomSheet {
    /**
     * Display types [BottomSheetModel.displayType], to determine what to be displayed
     */
    @JvmStatic val ITEM_TYPE_ACCOUNT = R.id.bottom_sheet_type_account

    @JvmStatic val ITEM_TYPE_BADGE = R.id.bottom_sheet_type_badge

    @JvmStatic val ITEM_TYPE_SWITCH = R.id.bottom_sheet_type_switch

    @JvmStatic val ITEM_TYPE_SIMPLE = R.id.bottom_sheet_type_simple

    @JvmStatic val ITEM_TYPE_MENU_CHECKED = R.id.bottom_sheet_menu_checked

    @JvmStatic val ITEM_TYPE_COLORIZE = R.id.bottom_sheet_colorize

    @JvmStatic val ITEM_TYPE_DIVIDER = R.id.bottom_sheet_divider

    @JvmStatic val ITEM_TYPE_HEADER = R.id.bottom_sheet_header

    const val ICON_TYPE_NONE = -1
    const val ICON_TYPE_IMAGE = 0
    const val ICON_TYPE_TEXT_EMOJI = 1
}