package com.under9.android.lib.morpheus.ui

import android.content.Context
import android.graphics.Bitmap
import android.view.View

abstract class AbstractNotifItemWrapper {
    abstract fun getRenderedText(context: Context?): CharSequence?
    abstract fun getTimeText(context: Context?): CharSequence?
    abstract val thumbnailLeftUrl: String?
    abstract val thumbnailRightUrl: String?
    open fun hasThumbnailRight(): Boolean {
        return true
    }

    fun hasThumbnailLeft(): Boolean {
        return true
    }

    fun isClickable(context: Context?): Boolean {
        return true
    }

    abstract val isRead: Boolean

    abstract fun getOnClickListener(): View.OnClickListener?
}