package com.under9.android.lib.util

import android.net.Uri
import com.facebook.drawee.backends.pipeline.Fresco
import com.facebook.imagepipeline.datasource.BaseBitmapDataSubscriber
import com.facebook.imagepipeline.request.ImageRequestBuilder

object FrescoHelper {
    @JvmStatic fun loadBitmap(uri: Uri, callback: BaseBitmapDataSubscriber) {
        val request = ImageRequestBuilder.newBuilderWithSource(uri).build()
        val ds = Fresco.getImagePipeline().fetchDecodedImage(request, com.facebook.common.executors.CallerThreadExecutor.getInstance())
        ds.subscribe(callback, com.facebook.common.executors.CallerThreadExecutor.getInstance())
    }
}